#pragma once

#include "CoreMinimal.h"
#include "K38DogBaseState.h"
#include "TunableStat.h"
#include "K38PatrolIdleDogState.generated.h"

class UCurveFloat;

UCLASS(Blueprintable)
class THEK38_API UK38PatrolIdleDogState : public UK38DogBaseState
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FTunableStat _patrolIdleSeconds;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UCurveFloat* _distanceFromKillerMultiplierCurve;

public:
	UK38PatrolIdleDogState();
};

FORCEINLINE uint32 GetTypeHash(const UK38PatrolIdleDogState) { return 0; }
